# WHERE Clause

Where 子句用于设置过滤条件，查询结果中只会包含满足条件的数据。

## Syntax

```sql
WhereClause
         ::= 'WHERE' Expression
         
```

## SQL语句模版

```SQL
SELECT select_expr [,select_expr...] FROM ... WHERE where_condition
```

## 边界说明
在单机版中，所有执行模式均支持`WHERE`子句。下表说明了集群版各模式的支持情况。

| SELECT语句元素                                 | 离线模式  | 在线预览模式 | 在线请求模式 | 说明                                                                                                                                                                                                                                                                          |
| :--------------------------------------------- | --------- | ------------ | ------------ |:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| WHERE Clause       | **``✓``** | **``✓``**    |              | Where 子句用于设置过滤条件，查询结果中只会包含满足条件的数据。 |

## Example

### 简单条件过滤

```SQL
SELECT COL1 FROM t1 where COL1 > 10;
```

### 复杂条件过滤

```sql
SELECT COL1 FROM t1 where COL1 > 10 and COL2 = 20 or COL1 =0;
```

